<?php

namespace app\admin\controller;
use app\admin\logic\SudorderLogic;
use app\admin\logic\SonstatisLogic;
use app\common\model\Order as CommonOrder;
use app\admin\logic\StaffLogic;
use app\common\model\Pay;
use app\common\model\Client_;
use think\Db;

class Sudorder extends AdminBase
{
    
    
    /**
     * Notes: 全部子订单
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function lists(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::lists($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
     
        return $this->fetch();
    }
    /**
     * Notes: 保洁订单列表
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function cleaning(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::cleaning($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::cleaning());
        return $this->fetch();
    }
    /**
     * Notes: 收纳整理
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function storage(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::storage($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::storage());
        return $this->fetch();
    }
    /**
     * Notes: 深度清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function depth(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::depth($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        
        $this->assign('channel',$channel);
        
        $this->assign('num',SonstatisLogic::depth());
        return $this->fetch();
    }
      /**
     * Notes: 宠物保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function pet(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::pet($get));
        }
        $this->assign('order_status', CommonOrder::getOrderStatus(true));
        $this->assign('order_type', CommonOrder::getOrderType(true));
        $this->assign('pay_way', Pay::getPayWay(true));
        $this->assign('delivery_type', CommonOrder::getDeliveryType(true));
        $this->assign('order_source', Client_::getClient(true));
        $ceenl=Db::name('orderchannel')->select();
        $goods=Db::name('goods')->select();
        $this->assign('ceenl',$ceenl);
        $this->assign('goods',$goods);
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        return $this->fetch();
    }  
    /**
     * Notes: 做饭到家
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function cooking(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::cooking($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::cooking());
        return $this->fetch();
    }  
    
    /**
     * Notes: 粗开荒保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function thick(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::thick($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::thick());
        return $this->fetch();
        
    }
    /**
     * Notes: 细开荒保洁
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function fine(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::fine($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::fine());
        return $this->fetch();
    
    }
      /**
     * Notes: 搬家货运
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function move(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::move($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::move());
        return $this->fetch();
        
    }  
    /**
     * Notes: 空气检测
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function detection(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::detection($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::detection());
        return $this->fetch();
        
    }  
    
    /**
     * Notes: 空气治理
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function governance(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::governance($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::governance());
        return $this->fetch();
        
    }  
    
     /**
     * Notes: 家电清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function wash(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::wash($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::wash());
        return $this->fetch();
        
    }  
    
    
     /**
     * Notes: 布草清洗
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function linen(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::linen($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::linen());
        return $this->fetch();
        
    }  
    /**
     * Notes: 宠物保洁订单
     * @param $get
     * @author 杨左(2021/2/1 10:12)
     * @return array
     */
    public function pets(){
        if ($this->request->isAjax()) {
            $get = $this->request->get();
            $this->_success('获取成功', SudorderLogic::pets($get));
        }
        $this->assign('staff',StaffLogic::serverstaff());
        $channel=Db::name('orderchannel')->select();
        $admin=Db::name('admin')->select();
        $this->assign('admin',$admin);
        $this->assign('channel',$channel);
        $this->assign('num',SonstatisLogic::pets());
        
        return $this->fetch();
        
    }       
}